package com.qunzhixinxi.hnqz.admin.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.entity.WmPayOff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 结算表
 *
 * @author Liujh
 * @date 2020-12-1
 */
@Mapper
public interface WmPayOffMapper extends BaseMapper<WmPayOff> {
    int deleteByPrimaryKey(Long id);

    int insert(WmPayOff record);

    int insertSelective(WmPayOff record);

    WmPayOff selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(WmPayOff record);

    int updateByPrimaryKey(WmPayOff record);

	List<WmPayOff> selectByParam(@Param("query") WmPayOff wmPayOff);
}
